Bug 133667 - ports/dirvish does not work with non-Bourne shells
Summary: ports/dirvish does not work with non-Bourne shells
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-12 20:30 UTC by Alex Povolotsky
Modified: 2009-04-14 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (493 bytes, patch)
2009-04-12 20:30 UTC, Alex Povolotsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Povolotsky 2009-04-12 20:30:01 UTC
When dirvish calls scripts on remote machines, it silently assumes that the only possible shell is Bourne, so environment variables are passed like 

VAR=value VAR2=value2

in case of C-shell, default for root in FreeBSD, it's wrong.

Fix: Apply a trivial patch, prepending variables list with "env"



Patch attached with submission follows:
How-To-Repeat: Call any remote script from dirvish
Comment 1 Wesley Shields freebsd_committer 2009-04-13 14:06:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Wesley Shields freebsd_committer 2009-04-13 14:18:47 UTC
This port is currently unmaintained.  Would you like to maintain it?

-- WXS
Comment 3 Wesley Shields freebsd_committer 2009-04-14 17:02:22 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2009-04-14 17:13:54 UTC
wxs         2009-04-14 16:02:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dirvish     Makefile distinfo 
  Added files:
    sysutils/dirvish/files patch-dirvish.pl 
  Log:
  - Distfile was rereolled (only changes are to version strings)
  - Fix bug where only bourne shells are assumed [1]
  - Pass maintainer to submitter
  
  PR:             [1]: ports/133667
  Submitted by:   Alex Povolotsky <tarkhil@over.ru>
  Approved by:    portmgr (flz)
  
  Revision  Changes    Path
  1.7       +3 -1      ports/sysutils/dirvish/Makefile
  1.4       +3 -3      ports/sysutils/dirvish/distinfo
  1.1       +19 -0     ports/sysutils/dirvish/files/patch-dirvish.pl (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"